#ifndef SPRITE_HPP_INCLUDED
#define SPRITE_HPP_INCLUDED

#include "../JavaClass/Object.hpp"
#include "../JavaClass/Class.hpp"
#include <cstdint>
#include <vector>

namespace Internal
{
    class Sprite : public Object
    {
        public:
            Sprite(const void* Obj);

            Sprite() = default;
            Sprite(Sprite&& Obj) = default;
            Sprite(const Sprite& Obj) = default;
            Sprite& operator=(Sprite&& Obj) = default;
            Sprite& operator=(const Sprite& Obj) = default;

            static Class GetClass();

            std::int32_t GetHeight() const;
            std::vector<std::int32_t> GetPixels() const;
            std::int32_t GetWidth() const;

    };
}

#endif // SPRITE_HPP_INCLUDED
